
#include <stdint.h>
#include <xdc/std.h>

#include "cblas.h"
#include "Setup_ECPY/alg/algLoc.h"


static algInst_t algInstance;                   /* Static to only appear here. */

/*-----------------------------------------------------------------------*/
/* alg_create returns address of algInstance defined above.              */
/*-----------------------------------------------------------------------*/
void alg_create(void **pAlgHandle)
{
    *pAlgHandle = (void *)&algInstance;
}


void cblas_facade_sgemm(int M, int N, int K, float *A, float *B, float *C)
{
  cblas_sgemm(CblasRowMajor, CblasNoTrans, CblasNoTrans, M, N, K, 1.0, A, K, B, N, 0.0, C, N);
}

